> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all live events 

> Get details of all live events in your school

Authentication with the "FERMION-API-KEY" header is required to use this endpoint.

Rate limit: Maximum 15 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-all-live-events
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-all-live-events:
    post:
      tags:
        - Live
      summary: 'Get all live events '
      description: >-
        Get details of all live events in your school


        Authentication with the "FERMION-API-KEY" header is required to use this
        endpoint.


        Rate limit: Maximum 15 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties: {}
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                liveEvents:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      fermionDigitalProductId:
                                        type: string
                                        minLength: 1
                                      liveEventId:
                                        type: string
                                        description: This is the event ID of the live event.
                                      type:
                                        type: string
                                        enum:
                                          - LiveEventProduct
                                      status:
                                        type: string
                                        enum:
                                          - Active
                                          - Draft
                                          - Unlisted
                                          - Deleted
                                          - Archived
                                      name:
                                        type: string
                                        minLength: 1
                                      slug:
                                        type: string
                                        minLength: 1
                                      link:
                                        type: string
                                        format: uri
                                      thumbnailUrl:
                                        type: string
                                        format: uri
                                      sessions:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            liveEventSessionId:
                                              type: string
                                              description: >-
                                                This is the session ID of the live event
                                                session you must use in your other API
                                                calls to modify the session.
                                            scheduledStartAtIso:
                                              type: string
                                              format: date-time
                                            scheduledDurationInSecs:
                                              type: number
                                            endedAtIso:
                                              anyOf:
                                                - type: string
                                                  format: date-time
                                                - nullable: true
                                                - nullable: true
                                          required:
                                            - liveEventSessionId
                                            - scheduledStartAtIso
                                            - scheduledDurationInSecs
                                            - endedAtIso
                                    required:
                                      - fermionDigitalProductId
                                      - liveEventId
                                      - type
                                      - status
                                      - name
                                      - slug
                                      - link
                                      - thumbnailUrl
                                      - sessions
                              required:
                                - liveEvents
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output
      security:
        - FERMION-API-KEY: []
components:
  securitySchemes:
    FERMION-API-KEY:
      name: FERMION-API-KEY
      type: apiKey
      in: header

````